# n=500
# b=0.75
# c=0.6
# x_1:n
# e_1:n
# x[1]_rnorm(1)
# e[1]_rnorm(1)
# for(i in 2:20) {
#         e[i]=rnorm(1)
#         x[i]=b*x[i-1]+e[i]+c*x[i-1]*e[i-1]
#         }
# x[1]=x[20]
# e[1]=e[20]
# for(i in 2:n) {
#          e[i]=rnorm(1)
#          x[i]=b*x[i-1]+e[i]+c*x[i-1]*e[i-1]
# }
# write(x,'bl1011.dat',ncol=1)
x_scan('bl1011.dat')

ps.options(horizontal=F, width=4.4, height=2, reset=T)
postscript("Fig420.ps", onefile=F, print=F)
par(mar=c(3,3.5,3,1)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.4, 0.6, 0))
tsplot(x, type='o', pch='*', xlab='t', main=' BL(1,0,1,1) time series')
abline(2.4,0)
dev.off()

rho_acf(x, lag=30)
rho2_acf(x, lag=30, type='partial')

ps.options(horizontal=F, width=4.6, height=2.5, reset=T)
postscript("Fig421.ps", onefile=F, print=F)
par(mfrow=c(1,3),mar=c(3,3,3,0.5)+0.1, cex=0.2)
par(mex=0.3,csi=0.11, mgp = c(1.4, 0.4, 0))
acf.plot(rho, main='(a) ACF',ylab='')
acf.plot(rho2, main='(b) PACF',ylab='')
qqnorm(x, xlab='normal quantile', ylab='quantile of BL(1,0,1,1)', main='(c) QQ-plot')
qqline(x)
dev.off()

